package com.sz.admin.monitor.service;

import com.mybatisflex.core.service.IService;
import com.sz.admin.monitor.pojo.dto.region.RegionCreateDTO;
import com.sz.admin.monitor.pojo.dto.region.RegionListDTO;
import com.sz.admin.monitor.pojo.dto.region.RegionUpdateDTO;
import com.sz.admin.monitor.pojo.po.Region;
import com.sz.admin.monitor.pojo.vo.Region.RegionVO;
import com.sz.core.common.entity.ImportExcelDTO;
import com.sz.core.common.entity.PageResult;
import com.sz.core.common.entity.SelectIdsDTO;
import jakarta.servlet.http.HttpServletResponse;

import java.util.List;

/**
 * ClassName: RegionService
 * Package: com.sz.admin.monitor.service
 * Description:
 */
public interface RegionService extends IService<Region> {
    void create(RegionCreateDTO dto);

    void update(RegionUpdateDTO dto);

    PageResult<RegionVO> page(RegionListDTO dto);

    List<RegionVO> list(RegionListDTO dto);

    void remove(SelectIdsDTO dto);

    RegionVO detail(Long id);
    
}
